| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
AnyMap::OrderedIterator Class Reference

Defined to allow the OrderedProxy class to be used with range-based for loops. More...

`#include <AnyMap.h>`

## Detailed Description

Defined to allow the OrderedProxy class to be used with range-based for loops.

Definition at line 594 of file AnyMap.h.

## Public Member Functions
| OrderedIterator (const AnyMap::OrderedProxy::OrderVector::const_iterator &start, const AnyMap::OrderedProxy::OrderVector::const_iterator &stop)
const pair< const string, AnyValue > & | operator* () const
const pair< const string, AnyValue > * | operator-> () const
bool | operator!= (const OrderedIterator &right) const
OrderedIterator & | operator++ ()

## Private Attributes
OrderedProxy::OrderVector::const_iterator | m_iter
OrderedProxy::OrderVector::const_iterator | m_stop

## Constructor & Destructor Documentation

## ◆ OrderedIterator() [1/2]

OrderedIterator | ( |  | ) |
| inline

Definition at line 596 of file AnyMap.h.

## ◆ OrderedIterator() [2/2]

OrderedIterator | ( | const AnyMap::OrderedProxy::OrderVector::const_iterator & | start,
|  | const AnyMap::OrderedProxy::OrderVector::const_iterator & | stop
| ) |  |

Definition at line 1662 of file AnyMap.cpp.

## Member Function Documentation

## ◆ operator*()

const pair< const string, AnyValue > & operator* | ( |  | ) | const
| inline

Definition at line 600 of file AnyMap.h.

## ◆ operator->()

const pair< const string, AnyValue > * operator-> | ( |  | ) | const
| inline

Definition at line 603 of file AnyMap.h.

## ◆ operator!=()

bool operator!= | ( | const OrderedIterator & | right | ) | const
| inline

Definition at line 606 of file AnyMap.h.

## ◆ operator++()

OrderedIterator & operator++ | ( |  | ) |
| inline

Definition at line 609 of file AnyMap.h.

## Member Data Documentation

## ◆ m_iter

OrderedProxy::OrderVector::const_iterator m_iter
| private

Definition at line 612 of file AnyMap.h.

## ◆ m_stop

OrderedProxy::OrderVector::const_iterator m_stop
| private

Definition at line 613 of file AnyMap.h.

The documentation for this class was generated from the following files:

- AnyMap.h
- AnyMap.cpp